Pip install nvidia-pyindex throws err

Err message:

C:\Users\Yuchen Jin>pip install nvidia-pyindex
Collecting nvidia-pyindex
Using cached nvidia-pyindex-1.0.9.tar.gz (10 kB)
Building wheels for collected packages: nvidia-pyindex
Building wheel for nvidia-pyindex (setup.py) … error
ERROR: Command errored out with exit status 1:
command: ‘c:\users\yuchen jin\appdata\local\programs\python\python39\python.exe’ -u -c ‘import io, os, sys, setuptools, tokenize; sys.argv[0] = ‘"’"‘C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\setup.py’"’"’; file=’"’"‘C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\setup.py’"’"’;f = getattr(tokenize, ‘"’"‘open’"’"’, open)(file) if os.path.exists(file) else io.StringIO(’"’"‘from setuptools import setup; setup()’"’"’);code = f.read().replace(’"’"’\r\n’"’"’, ‘"’"’\n’"’"’);f.close();exec(compile(code, file, ‘"’"‘exec’"’"’))’ bdist_wheel -d ‘C:\Users\Yuchen Jin\AppData\Local\Temp\pip-wheel-7pkiw7rq’
cwd: C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f
Complete output (60 lines):
running bdist_wheel
running build
running build_py
creating build
creating build\lib
creating build\lib\nvidia_pyindex
copying nvidia_pyindex\cmdline.py → build\lib\nvidia_pyindex
copying nvidia_pyindex\utils.py → build\lib\nvidia_pyindex
copying nvidia_pyindex_init_.py → build\lib\nvidia_pyindex
running egg_info
writing nvidia_pyindex.egg-info\PKG-INFO
writing dependency_links to nvidia_pyindex.egg-info\dependency_links.txt
writing entry points to nvidia_pyindex.egg-info\entry_points.txt
writing top-level names to nvidia_pyindex.egg-info\top_level.txt
reading manifest file ‘nvidia_pyindex.egg-info\SOURCES.txt’
reading manifest template ‘MANIFEST.in’
adding license file ‘LICENSE.md’
writing manifest file ‘nvidia_pyindex.egg-info\SOURCES.txt’
installing to build\bdist.win-amd64\wheel
running install
Traceback (most recent call last):
File “C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\nvidia_pyindex\utils.py”, line 20, in get_configuration_files
output = subprocess.check_output(command, stderr=subprocess.STDOUT)
File “c:\users\yuchen jin\appdata\local\programs\python\python39\lib\subprocess.py”, line 424, in check_output
return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
File “c:\users\yuchen jin\appdata\local\programs\python\python39\lib\subprocess.py”, line 528, in run
raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command ‘[‘c:\users\yuchen jin\appdata\local\programs\python\python39\python.exe’, ‘jinappdatalocalprogramspythonpython39python.exe’, ‘-c’, ‘from pip._internal.configuration import get_configuration_files; print(get_configuration_files())’]’ returned non-zero exit status 2.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “”, line 1, in
File “C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\setup.py”, line 238, in
setup(
File “c:\users\yuchen jin\appdata\local\programs\python\python39\lib\site-packages\setuptools_init_.py”, line 153, in setup
return distutils.core.setup(**attrs)
File “c:\users\yuchen jin\appdata\local\programs\python\python39\lib\distutils\core.py”, line 148, in setup
dist.run_commands()
File “c:\users\yuchen jin\appdata\local\programs\python\python39\lib\distutils\dist.py”, line 966, in run_commands
self.run_command(cmd)
File “c:\users\yuchen jin\appdata\local\programs\python\python39\lib\distutils\dist.py”, line 985, in run_command
cmd_obj.run()
File “c:\users\yuchen jin\appdata\local\programs\python\python39\lib\site-packages\wheel\bdist_wheel.py”, line 335, in run
self.run_command(‘install’)
File “c:\users\yuchen jin\appdata\local\programs\python\python39\lib\distutils\cmd.py”, line 313, in run_command
self.distribution.run_command(command)
File “c:\users\yuchen jin\appdata\local\programs\python\python39\lib\distutils\dist.py”, line 985, in run_command
cmd_obj.run()
File “C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\setup.py”, line 172, in run
_install_nvidia_pypi_index()
File “C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\setup.py”, line 71, in _install_nvidia_pypi_index
config_filedict = get_configuration_files()
File “C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\nvidia_pyindex\utils.py”, line 24, in get_configuration_files
raise RuntimeError(output) from e
RuntimeError: c:\users\yuchen jin\appdata\local\programs\python\python39\python.exe: can’t open file ‘C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\jinappdatalocalprogramspythonpython39python.exe’: [Errno 2] No such file or directory

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
COMMAND: InstallCommand
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

ERROR: Failed building wheel for nvidia-pyindex
Running setup.py clean for nvidia-pyindex
Failed to build nvidia-pyindex
Installing collected packages: nvidia-pyindex
Running setup.py install for nvidia-pyindex … error
ERROR: Command errored out with exit status 1:
command: ‘c:\users\yuchen jin\appdata\local\programs\python\python39\python.exe’ -u -c ‘import io, os, sys, setuptools, tokenize; sys.argv[0] = ‘"’"‘C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\setup.py’"’"’; file=’"’"‘C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\setup.py’"’"’;f = getattr(tokenize, ‘"’"‘open’"’"’, open)(file) if os.path.exists(file) else io.StringIO(’"’"‘from setuptools import setup; setup()’"’"’);code = f.read().replace(’"’"’\r\n’"’"’, ‘"’"’\n’"’"’);f.close();exec(compile(code, file, ‘"’"‘exec’"’"’))’ install --record ‘C:\Users\Yuchen Jin\AppData\Local\Temp\pip-record-b3wabvgm\install-record.txt’ --single-version-externally-managed --compile --install-headers ‘c:\users\yuchen jin\appdata\local\programs\python\python39\Include\nvidia-pyindex’
cwd: C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f
Complete output (35 lines):
running install
Traceback (most recent call last):
File “C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\nvidia_pyindex\utils.py”, line 20, in get_configuration_files
output = subprocess.check_output(command, stderr=subprocess.STDOUT)
File “c:\users\yuchen jin\appdata\local\programs\python\python39\lib\subprocess.py”, line 424, in check_output
return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
File “c:\users\yuchen jin\appdata\local\programs\python\python39\lib\subprocess.py”, line 528, in run
raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command ‘[‘c:\users\yuchen jin\appdata\local\programs\python\python39\python.exe’, ‘jinappdatalocalprogramspythonpython39python.exe’, ‘-c’, ‘from pip._internal.configuration import get_configuration_files; print(get_configuration_files())’]’ returned non-zero exit status 2.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\setup.py", line 238, in <module>
    setup(
  File "c:\users\yuchen jin\appdata\local\programs\python\python39\lib\site-packages\setuptools\__init__.py", line 153, in setup
    return distutils.core.setup(**attrs)
  File "c:\users\yuchen jin\appdata\local\programs\python\python39\lib\distutils\core.py", line 148, in setup
    dist.run_commands()
  File "c:\users\yuchen jin\appdata\local\programs\python\python39\lib\distutils\dist.py", line 966, in run_commands
    self.run_command(cmd)
  File "c:\users\yuchen jin\appdata\local\programs\python\python39\lib\distutils\dist.py", line 985, in run_command
    cmd_obj.run()
  File "C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\setup.py", line 172, in run
    _install_nvidia_pypi_index()
  File "C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\setup.py", line 71, in _install_nvidia_pypi_index
    config_filedict = get_configuration_files()
  File "C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\nvidia_pyindex\utils.py", line 24, in get_configuration_files
    raise RuntimeError(output) from e
RuntimeError: c:\users\yuchen jin\appdata\local\programs\python\python39\python.exe: can't open file 'C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\jinappdatalocalprogramspythonpython39python.exe': [Errno 2] No such file or directory

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
COMMAND: InstallCommand
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
----------------------------------------

ERROR: Command errored out with exit status 1: ‘c:\users\yuchen jin\appdata\local\programs\python\python39\python.exe’ -u -c ‘import io, os, sys, setuptools, tokenize; sys.argv[0] = ‘"’"‘C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\setup.py’"’"’; file=’"’"‘C:\Users\Yuchen Jin\AppData\Local\Temp\pip-install-l90hkklg\nvidia-pyindex_930b230a8eea41a48b1b8fbdafb64f3f\setup.py’"’"’;f = getattr(tokenize, ‘"’"‘open’"’"’, open)(file) if os.path.exists(file) else io.StringIO(’"’"‘from setuptools import setup; setup()’"’"’);code = f.read().replace(’"’"’\r\n’"’"’, ‘"’"’\n’"’"’);f.close();exec(compile(code, file, ‘"’"‘exec’"’"’))’ install --record ‘C:\Users\Yuchen Jin\AppData\Local\Temp\pip-record-b3wabvgm\install-record.txt’ --single-version-externally-managed --compile --install-headers ‘c:\users\yuchen jin\appdata\local\programs\python\python39\Include\nvidia-pyindex’ Check the logs for full command output.